Get Bot
curl --request GET \
--url https://api.openmic.ai/v1/bots/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openmic.ai/v1/bots/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openmic.ai/v1/bots/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"name": "<string>",
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"auto_first_message": true,
"first_message": "<string>",
"knowledge_base_id": 123,
"voice_provider": "OpenAI",
"voice": "<string>",
"voice_model": "<string>",
"voice_speed": 123,
"llm_model_name": "<string>",
"llm_model_temperature": 123,
"stt_provider": "Deepgram",
"stt_model": "<string>",
"call_settings": {
"max_call_duration": 16,
"silence_timeout": 25,
"silence_timeout_max_retries": 3,
"silence_timeout_message": "<string>",
"call_recording_enabled": true,
"voicemail_detection_enabled": true,
"voicemail_action": "leave_message",
"voicemail_message_type": "static",
"voicemail_message": "<string>",
"hipaa_compliance_enabled": true,
"pci_compliance_enabled": true
},
"advanced_settings": {
"agent_personality": "casual",
"humanize_conversation": true,
"background_noise_reduction": true,
"allow_interruptions": true,
"min_interruption_duration": 2.6,
"background_sound": "<string>",
"agent_response_length": "normal",
"short_pause": 1.1,
"long_pause": 3.25,
"filter_phrases": "<string>"
},
"post_call_settings": {
"summary_prompt": "<string>",
"success_evaluation_prompt": "<string>",
"success_evaluation_rubric_type": "NUMERIC_SCALE",
"structured_extraction_prompt": "<string>",
"structured_extraction_json_schema": {}
}
}{
"error": "Missing organization information in request."
}{
"error": "Unauthorized",
"message": "Invalid or expired API key"
}{
"error": "Bot with the specified UID was not found."
}{
"error": "An unexpected error occurred. Please try again later."
}Bots
Get Bot
Retrieve details of a specific bot by its UID.
GET
/
v1
/
bots
/
{uid}
Get Bot
Authorizations
Bearer token authentication using API key. Find it at: https://chat.openmic.ai/api-key
Path Parameters
The unique identifier of the bot
Response
Bot details retrieved successfully
Unique identifier of the bot
Name of the bot
System prompt for the bot
Bot creation timestamp
Bot last update timestamp
Whether to automatically send the first message when the call starts
Initial message the bot will send
ID of the knowledge base
Voice synthesis provider
Available options:
OpenAI, ElevenLabs, Deepgram Voice ID or name
Voice model being used
Speech speed multiplier
Large language model being used
Temperature setting for the LLM
Speech-to-text provider
Available options:
Deepgram Speech-to-text model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?